stages:
  - build
  - deploy

default:
  image: "alpine:3.20"

before_script:
  - apk add --no-cache curl build-base tracker-dev rustup
  - rustup-init -y && source $HOME/.cargo/env

build:
  stage: build
  script:
    - rustc --version && cargo --version
    - cargo build

pages:
  stage: deploy
  script:
    - apk add --no-cache git
    - cargo install rustdoc-stripper
    - ./generator.py --embed-docs --yes ./
    - cargo doc -p tracker-rs --no-deps --all-features
    - mv target/doc/ public
  artifacts:
    paths:
      - public
  only:
    refs:
      - master
